Package org.drinkless.tdlib

# Class TdApi.SearchHashtags

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Hashtags>
org.drinkless.tdlib.TdApi.SearchHashtags

Enclosing class:
  `TdApi`

public static class TdApi.SearchHashtags extends TdApi.Function<TdApi.Hashtags>
Searches for recently used hashtags by their prefix.

Returns `Hashtags`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of hashtags to be returned.
  `String`
  `prefix`
  Hashtag prefix to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchHashtags()`
  Default constructor for a function, which searches for recently used hashtags by their prefix.
  `SearchHashtags(String prefix, int limit)`
  Creates a function, which searches for recently used hashtags by their prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### prefix

    public String prefix
    Hashtag prefix to search for.

  - ### limit

    public int limit
    The maximum number of hashtags to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchHashtags

    public SearchHashtags()
    Default constructor for a function, which searches for recently used hashtags by their prefix.

    Returns `Hashtags`

  - ### SearchHashtags

    public SearchHashtags(String prefix, int limit)
    Creates a function, which searches for recently used hashtags by their prefix.

    Returns `Hashtags`

    Parameters:
      `prefix` - Hashtag prefix to search for.
      `limit` - The maximum number of hashtags to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Hashtags>`
    Returns:
      this.CONSTRUCTOR